<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>

</head>
<body>
    <script >
        const userName = prompt("Please enter your name");
        const userAge = +prompt("Please enter your age");
        if (userAge < 18) {
            alert("You are not allowed to visit this website.");
        } else if (userAge >= 18 && userAge <= 22) {
            if (confirm("Are you sure you want to continue?")) {
                alert("Welcome, " + userName);
            } else {
                alert("You are not allowed to visit this website.");
            }
        } else {
            alert("Welcome, " + userName);
        }
    </script>
</body>
</html>